package com.chelvc.framework.wechat;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 微信支付回调信息
 *
 * @author Woody
 * @date 2024/8/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class WechatPaymentCallback extends WechatOrder {
    /**
     * 回调响应内容
     */
    private String response;

    /**
     * 三方单号
     */
    private String thirdhand;
}
